XML Standard API: Class StAXResult

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.transform.stax
Class StAXResult

    java.lang.Object
      |
      +--javax.xml.transform.stax.StAXResult

All Implemented Interfaces:
  Result

public class StAXResult
extends java.lang.Object
implements Result

Field Summary
`static java.lang.String` | `FEATURE`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`StAXResult(XMLEventWriter xmlEventWriter)`
`StAXResult(XMLStreamWriter xmlStreamWriter)`

Method Summary
`java.lang.String` | `getSystemId()` Get the system identifier that was set with setSystemId.
`XMLEventWriter` | `getXMLEventWriter()`
`XMLStreamWriter` | `getXMLStreamWriter()`
`void` | `setSystemId(java.lang.String systemId)` Set the system identifier for this Result.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FEATURE

    public static final java.lang.String FEATURE

Constructor Detail

### StAXResult

    public StAXResult(XMLStreamWriter xmlStreamWriter)

### StAXResult

    public StAXResult(XMLEventWriter xmlEventWriter)

Method Detail

### getXMLStreamWriter

    public XMLStreamWriter getXMLStreamWriter()

### getXMLEventWriter

    public XMLEventWriter getXMLEventWriter()

### getSystemId

    public java.lang.String getSystemId()

  Description copied from interface: `Result`
  Get the system identifier that was set with setSystemId.
  Specified by:
    `getSystemId` in interface `Result`
  Following copied from interface: `javax.xml.transform.Result`
  Returns:
    The system identifier that was set with setSystemId, or null if setSystemId was not called.

### setSystemId

    public void setSystemId(java.lang.String systemId)

  Description copied from interface: `Result`
  Set the system identifier for this Result.

  If the Result is not to be written to a file, the system identifier is optional. The application may still want to provide one, however, for use in error messages and warnings, or to resolve relative output identifiers.

  Specified by:
    `setSystemId` in interface `Result`
  Following copied from interface: `javax.xml.transform.Result`
  Parameters:
    `systemId` - The system identifier as a URI string.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.